# -*- coding:Utf-8 -*-

import es, cfglib, gamethread

info = es.AddonInfo()
info.name = "Nade Fruit"
info.version = "2.2"
info.author = "Matth"
info.url = "http://addons.eventscripts.com/addons/view/nadefruit"
es.ServerVar(('nadefruit'), info.version + " by " + info.author).makepublic()

config = cfglib.AddonCFG(es.getAddonPath('nadefruit' + '/nadefruit.cfg'))

advert_actif        = config.cvar('advert_actif',   '1', 'Activer un message a chaque nouveau joueur, lui presentant le script (1 = ON, 0 = OFF)\n// ')
grenade_choice      = config.cvar('grenade_choice',     'models/props_junk/watermelon01.mdl', 'Indiquez le model du fruit a mettre pour la grenade (pasteque, banane, orange)\n//  \n//  Pasteque = "models/props_junk/watermelon01.mdl"\n//  Banane = "models/props/cs_italy/bananna.mdl"\n//  Orange = "models/props/cs_italy/orange.mdl"\n// \n//  Pour remettre par defaut effacez le fichier nadefruit.cfg\n//')
flashbang_choice    = config.cvar('flashbang_choice',   'models/props/cs_italy/bananna.mdl', 'Indiquez le model du fruit a mettre pour la flash (pasteque, banane, orange)\n//  \n//  Pasteque = "models/props_junk/watermelon01.mdl"\n//  Banane = "models/props/cs_italy/bananna.mdl"\n//  Orange = "models/props/cs_italy/orange.mdl"\n// \n//  Pour remettre par defaut effacez le fichier nadefruit.cfg\n//')
smoke_choice        = config.cvar('smoke_choice',   'models/props/cs_italy/orange.mdl', 'Indiquez le model du fruit a mettre pour la fumigene (pasteque, banane, orange)\n//  \n//  Pasteque = "models/props_junk/watermelon01.mdl"\n//  Banane = "models/props/cs_italy/bananna.mdl"\n//  Orange = "models/props/cs_italy/orange.mdl"\n// \n//  Pour remettre par defaut effacez le fichier nadefruit.cfg\n//')

config.write()

es.doblock('corelib/noisy_on')

def load():
    config.execute()

def es_map_start(ev):
    config.execute()

def weapon_fire(ev):
    if ev['weapon'] == 'hegrenade':
        gamethread.delayed(.15, ChangeModel, (ev['userid'], 'hegrenade_projectile', grenade_choice))
    if ev['weapon'] == 'smokegrenade':
        gamethread.delayed(.15, ChangeModel, (ev['userid'], 'smokegrenade_projectile', smoke_choice))
    if ev['weapon'] == 'flashbang':
        gamethread.delayed(.15, ChangeModel, (ev['userid'], 'flashbang_projectile', flashbang_choice))

def ChangeModel(userid, projectile, choice):
    for x in es.createentitylist(projectile):
        if not (es.getindexprop(x, 'CBaseEntity.m_hOwnerEntity') == es.getplayerhandle(userid)):
            continue
        es.setindexprop(x, 'CBaseEntity.m_nModelIndex', es.precachemodel(choice))
        es.setindexprop(x, 'CbaseEntity.m_clrRender', -1)

def player_activate(ev):
    if (advert_actif == "1"):
        es.tell(ev['userid'], '#multi', '#default[#greenNadeFruit#default]#lightgreen Version:', info.version + " by " + info.author + '\n#default[#greenNadeFruit#default]#lightgreen Attention, les grenades sont devenues des fruits! N\'avalez pas de travers :P')

def unload():
    es.doblock('corelib/noisy_off')


    
    
